## tsocks 1.8beta5%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
package=tsocks

%:
	dh $@ --with=autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-hostnames --with-conf=/etc/tsocks.conf

override_dh_auto_install:
	install -m 600 tsocks.conf.complex.example $(CURDIR)/debian/$(package)/etc/tsocks.conf
	install validateconf $(CURDIR)/debian/$(package)/usr/bin
	install inspectsocks $(CURDIR)/debian/$(package)/usr/bin
	install saveme $(CURDIR)/debian/$(package)/usr/bin
	install tsocks $(CURDIR)/debian/$(package)/usr/bin
	dh_auto_install
