=== debian/control ===
Source: tsocks
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-builtusing
Standards-Version: 4.7.0
Homepage: http://tsocks.sf.net
Vcs-Browser: https://salsa.debian.org/debian/tsocks
Vcs-Git: https://salsa.debian.org/debian/tsocks.git

Package: tsocks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${dh-builtusing:libc-dev-bin}
Description: transparent network access through a SOCKS 4 or 5 proxy
 tsocks provides transparent network access through a SOCKS version 4
 or 5 proxy (usually on a firewall). tsocks intercepts the calls
 applications make to establish TCP connections and transparently
 proxies them as necessary. This allows existing applications to use
 SOCKS without recompilation or modification.
