=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,14 @@
 package=tsocks
 
 %:
-	dh $@ --with=autotools-dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-hostnames --with-conf=/etc/tsocks.conf
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) config.status
 
 override_dh_auto_install:
 	install -m 600 tsocks.conf.complex.example $(CURDIR)/debian/$(package)/etc/tsocks.conf
