## tsocks 1.8beta5-9.1maemo0

=== debian/changelog ===
tsocks (1.8beta5-9.1maemo0) unstable; urgency=low

  * Depend on debhelper 5, not 6.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 29 Sep 2008 16:39:30 -0300
