## tsocks 1.8beta5-9.1maemo0mg1

=== debian/changelog ===
tsocks (1.8beta5-9.1maemo0mg1) unstable; urgency=low

  * Rebuild for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Thu, 22 Oct 2009 14:05:47 +0200
