=== debian/control ===
Source: tsocks
Section: net
Priority: optional
Maintainer: Tamas SZERB <toma@rulez.org>
Uploaders: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, dpatch
Standards-Version: 3.8.0
Homepage: http://tsocks.sf.net

Package: tsocks
Architecture: any
Depends: ${shlibs:Depends}
Description: transparent network access through a SOCKS 4 or 5 proxy
 tsocks provides transparent network access through a SOCKS version 4
 or 5 proxy (usually on a firewall). tsocks intercepts the calls
 applications make to establish TCP connections and transparently
 proxies them as necessary. This allows existing applications to use
 SOCKS without recompilation or modification.
