## tsocks 1.8beta5-9.2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tamas SZERB <toma@rulez.org>
 Uploaders: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, dpatch
+Build-Depends: debhelper (>= 6), autotools-dev, dpatch
 Standards-Version: 3.8.0
 Homepage: http://tsocks.sf.net
