## tsocks 1.8beta5-9.3

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: tsocks
 Architecture: any
 Depends: ${shlibs:Depends}
+Built-Using: ${extra:Built-Using}
 Description: transparent network access through a SOCKS 4 or 5 proxy
  tsocks provides transparent network access through a SOCKS version 4
  or 5 proxy (usually on a firewall). tsocks intercepts the calls
