=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,8 @@
 	dh_fixperms
 	dh_makeshlibs
 
+	./debian/util/write-built-using
+
 	#create conffiles automagically:
 	#find $(CURDIR)/debian/$(package)/etc -type f|sed s:$(CURDIR)/debian/$(package):: >$(CURDIR)/debian/conffiles
 	dh_installdeb
