## tsocks 1.8beta5-9.4

=== debian/rules ===
--- 
+++ 
@@ -96,14 +96,12 @@
 	dh_fixperms
 	dh_makeshlibs
 
-	./debian/util/write-built-using
-
 	#create conffiles automagically:
 	#find $(CURDIR)/debian/$(package)/etc -type f|sed s:$(CURDIR)/debian/$(package):: >$(CURDIR)/debian/conffiles
 	dh_installdeb
 
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -Vextra:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libc-dev-bin)"
 
 	dh_md5sums
 	dh_builddeb
