## tsocks 1.8beta5-9.4ubuntu1

=== debian/changelog ===
tsocks (1.8beta5-9.4ubuntu1) yakkety; urgency=medium

  * debian/rules: Remove obsolete dh_undocumented call.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 06 May 2016 02:26:04 -0400
