=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tsocks
 Section: net
 Priority: optional
-Maintainer: Tamas SZERB <toma@rulez.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tamas SZERB <toma@rulez.org>
 Uploaders: Nico Golde <nion@debian.org>
 Build-Depends: debhelper (>= 6), autotools-dev, dpatch
 Standards-Version: 3.8.0
