=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,6 @@
 	dh_testdir
 
 #	dpkg-gencontrol -isp
-	dh_undocumented
 	dh_installdocs
 
 	#dh_installdebconf
