## tsocks 1.8beta5-9.5

=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,7 @@
 	dh_testdir
 
 #	dpkg-gencontrol -isp
+#	dh_undocumented
 	dh_installdocs
 
 	#dh_installdebconf
